<? $countries_model = new Model_Geography_Countries() ?>
<? $regions_model = new Model_Geography_Regions() ?>
<? $area_model = new Model_Geography_Cities() ?>

<? $this->layout()->disableLayout() ?>
<form class="form-common" action="<?= $this->baseUrl() ?>/geography/fake-cities/edit?id=<?= $this->city->id ?>" method="post">
	<div class="inner">
		<label for="country">Country</label>
		<? $countries = $countries_model->ajaxGetAll(false) ?>
		<select name="country_id" id="country" class="w22">
			<option value="">- country -</option>
			<? foreach ($countries as $country): ?>
			<option value="<?= $country->id ?>"<?= $this->city->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>
	
	<? $regions = $regions_model->ajaxGetAll($this->city->country_id) ?>
	
	<div class="inner" style="display: <?= count($regions) ? 'block' : 'none' ?>">
		<label for="region">Region</label>
		<select name="region_id" id="region" class="w22">
			<option value="">- region -</option>
			<? foreach ($regions as $region): ?>
				<option value="<?= $region->id ?>"<?= $this->city->region_id == $region->id ? ' selected="selected"' : '' ?>><?= $region->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>
	
	<? $areas = $this->city->region_id? $area_model->getRegionCities($this->city->region_id) : $area_model->getAllCities($this->city->country_id) ?>
	
	<div class="inner" style="display: <?= count($areas) ? 'block' : 'none' ?>">
		<label for="area_id"> Area</label>
		<select name="area_id" id="area_id" class="w22">
			<option value="">- area -</option>
			<? foreach ($areas  as $area): ?>
				<option value="<?= $area->id ?>" ><?= $area->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="inner">
		<a id="area-add"></a>
	</div>
	<div class="clear"></div>
	<div id="areas" class="inner mt10">
		
		<? foreach ( $this->city_areas as $area ): ?>
			<div class="area mb5">
				<div class="fleft">
					<a class="sbtn icon-remove"></a>
				</div>
				<div class="fleft">
					<?= $area->title ?>
				</div>
				<input type="hidden" name="areas[]" value="<?= $area->area_id ?>" />
				<div class="clear"></div>
			</div>
			<? endforeach; ?>
	</div>
	<div class="clear"></div>

	<? /*<div class="inner">
		<label for="time_zone">Time Zone</label>
		<select name="time_zone_id" id="time_zone" class="w30">
			<option value="">- time zone -</option>
			<? foreach ($this->time_zones as $time_zone): ?>
				<?
					$shift = $time_zone->shift;
					$tmp_shift = number_format($shift, 0);
					if ( $tmp_shift > 0 ) {
						$shift = "+" . $shift;
					}
					else if ( $tmp_shift == 0 ) {
						$shift = "";
					}
				?>
				<option value="<?= $time_zone->id ?>" <?= ($this->city->time_zone_id == $time_zone->id) ? 'selected="selected"' : '' ?>><?= "(GMT " . $shift . ") " . $time_zone->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>*/?>
	
	<div class="inner">
		<label for="title">Title</label>
	<? foreach ($this->langs(false) as $id => $title): ?>
		<div class="lng-w" style="background-image: url('/img/flags/<?= $id ?>.png')">
			<input class="txt w20" type="text" name="title_<?= $id ?>" value="<?= $this->city->{'title_' . $id} ?>" />
		</div>
	<? endforeach; ?>
	</div>
	
	<div class="inner" style="margin-left:25px">
		<label for="zip">ZIP</label>
		<input class="txt" type="text" name="zip" maxlength="10" value="<?= $this->city->zip ?>" />
	</div>
	<div class="clear"></div>
	
	<? /*<div class="inner">
		<label>Url slug</label>
		<input type="text" class="txt w20" name="url_slug" value="<?= $this->city->url_slug ?>" />
	</div>*/?>
	<div class="clear"></div> 
</form>
